Subject: Re: bug#62898: 29.0.90; X can’t be input by the current input method [chinese-ctlaub]

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 12:42:32 +0300

> Date: Thu, 20 Apr 2023 19:39:26 GMT
> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> 
> 
> > Date: Thu, 20 Apr 2023 11:11:07 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > Content-type: text/plain; charset=utf-8
> > 
> > The chinese-ctlaub input method is produced from the file
> > CTLau-b5.html, and that file doesn't include #x6a59.
> > 
> > I cannot find a newer version of CTLau-b5.html on the Internet, if
> > there is a newer version.  I also don't know why #x6a59 is missing
> > from the file we have: whether it's a mistake, omission, or there's
> > some real reason for that.
> > 
> 
> Perhaps at the time when this CTLau-b5.html was composed that was the
> extent of what was known or the authors hadn't encountered a use for
> it to be included.  Those two codepoints are documented at page 185 of
> U4E00.pdf .  They represent two forms of citrus fruit.
> 
>   - https://www.unicode.org/charts/index.html
>   - https://www.unicode.org/charts/PDF/U4E00.pdf
> 
> Looking at the below for #x6a58
> 
>   - https://humanum.arts.cuhk.edu.hk/Lexis/lexi-mf/search.php?word=%E6%A9%98
> 
> The left margin section, at the bottom, has a drop down menu and the
> CTLau phonology is obtained by selecting the bottom option.
> 
> There the phonological reading for #x6a58 is given by gat and gwat.

We already have GAT and GWAT in CTLau-b5.html.  Are you saying we
should add #x6a58 to the list of characters in those 2 lines?

> Looking at the CTLau-b input sequence for \foh
> 
>   - https://humanum.arts.cuhk.edu.hk/Lexis/lexi-mf/search.php?word=%E7%85%92
> 
> the humanum gives the reading wai, is there any memory for some
> CTLau-b input sequences having the backslash prefix?  The sounding foh
> refers to the fire character indexical is my guess which might have
> been a mnemonic for the authors of CTLau-b5.html .

Sorry, I don't understand: the above is for a different Unicode
codpoint, U+7152.  How is that relevant to the issue at hand?

> > Are there any newer sources for this input method which we could use?
> 
>   - http://sdf.org/~van.ly/img/x6a58--gat--gwat--add-to-CTLau-b5.jpg

I don't understand how to interpret that image, sorry.